using System.Collections;
using System.Collections.Generic;
using UnityEditor;
using UnityEngine;

[CreateAssetMenu(fileName = "")]
public sealed class HitProvider : ScriptableObject
{
    private List<Army> armies = null;

    public List<Army> Armies => armies ?? (armies = new List<Army>());

    public void Add(Army army) {
        Armies.Add(army);
    }

    public void Remove(Army army) {
        Armies.Remove(army);
    }
}
